跳到主要内容

列出 Private Endpoint (V2)

Lists the private endpoints in a project.

GET/v2/projects/{projectId}/privateEndpoints
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API Key。

示例值:Bearer {{TOKEN}}
projectIdstringpath必填项

项目 ID。

示例值:proj-xxxxxxxxxxxxxxxxxxx
currentPageintegerquery

返回的页码,第一页为 1。

示例值:1
pageSizeintegerquery

每页返回的条目数。超出 1 至 100 范围时使用默认值 10。

示例值:10
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应

返回成功结果或错误消息。

成功响应。

codeinteger必填项

响应码。

示例值:0
dataobject必填项

Private Endpoint 分页列表。

endpointsarray

Private Endpoint 列表。

[]endpointsobject

Private Endpoint 及其服务状态。

regionIdstring

云地域 ID。

cloudIdstring

云服务提供商 ID。

endpointServicestring

Endpoint 服务名称。

endpointServiceStatusstring

Endpoint 服务状态。

endpointIdstring

Private Endpoint ID。

endpointStatusstring

Private Endpoint 状态。

gcpProjectIdstring

Google Cloud 项目 ID(如适用)。

currentPageinteger

当前页码。

pageSizeinteger

每页条目数。

countinteger

匹配的 Private Endpoint 总数。

失败响应。

codeinteger必填项

响应码。

messagestring必填项

错误消息。

Successjson
{
"code": 0,
"data": {
"endpoints": [
{
"regionId": "ali-cn-hangzhou",
"cloudId": "ali",
"endpointService": "com.aliyuncs.privatelink.cn-hangzhou.epsrv-xxxxxxxxxxxxxxxxx",
"endpointServiceStatus": "AVAILABLE",
"endpointId": "ep-xxxxxxxxxxxxxxxxx",
"endpointStatus": "AVAILABLE"
}
],
"currentPage": 1,
"pageSize": 10,
"count": 1
}
}
Ctrl I